Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(4)

Issue 22602002: DevTools: add 3D layer view to Layer panel (Closed)

Created:
4 years, 3 months ago by caseq
Modified:
4 years, 3 months ago
Reviewers:
vsevik, pfeldman
CC:
blink-reviews, caseq+blink_chromium.org, loislo+blink_chromium.org, eustas+blink_chromium.org, alph+blink_chromium.org, eae+blinkwatch, yurys+blink_chromium.org, lushnikov+blink_chromium.org, vsevik+blink_chromium.org, pfeldman+blink_chromium.org, dglazkov+blink, paulirish+reviews_chromium.org, apavlov+blink_chromium.org, devtools-reviews_chromium.org, aandrey+blink_chromium.org
Visibility:
Public.

Description

DevTools: add 3D layer view to Layer panel .. sans transforms and colors so far; BUG= R=pfeldman@chromium.org Committed: https://src.chromium.org/viewvc/blink?view=rev&revision=156021

Patch Set 1 : #

Total comments: 2

Patch Set 2 : rebased, addressed review comments #

Total comments: 1

Patch Set 3 : nuked LayerTreeModel.js from inspector.html #

Unified diffs Side-by-side diffs Delta from patch set Stats (+245 lines, -0 lines) Patch
M Source/devtools/devtools.gyp View 1 1 chunk +1 line, -0 lines 0 comments Download
M Source/devtools/front_end/LayerTreeModel.js View 1 1 chunk +9 lines, -0 lines 0 comments Download
A Source/devtools/front_end/Layers3DView.js View 1 1 chunk +173 lines, -0 lines 0 comments Download
M Source/devtools/front_end/LayersPanel.js View 1 2 chunks +3 lines, -0 lines 0 comments Download
M Source/devtools/front_end/layersPanel.css View 1 1 chunk +58 lines, -0 lines 0 comments Download
M Source/devtools/scripts/compile_frontend.py View 1 1 chunk +1 line, -0 lines 0 comments Download

Messages

Total messages: 8 (0 generated)
caseq
4 years, 3 months ago (2013-08-07 16:41:17 UTC) #1
caseq
4 years, 3 months ago (2013-08-07 16:41:28 UTC) #2
pfeldman
https://codereview.chromium.org/22602002/diff/2/Source/devtools/front_end/LayerTreeModel.js File Source/devtools/front_end/LayerTreeModel.js (right): https://codereview.chromium.org/22602002/diff/2/Source/devtools/front_end/LayerTreeModel.js#newcode163 Source/devtools/front_end/LayerTreeModel.js:163: return this._rawLayer["offsetX"]; . notation. https://codereview.chromium.org/22602002/diff/2/Source/devtools/front_end/layersPanel.css File Source/devtools/front_end/layersPanel.css (left): https://codereview.chromium.org/22602002/diff/2/Source/devtools/front_end/layersPanel.css#oldcode2 ...
4 years, 3 months ago (2013-08-09 09:24:51 UTC) #3
caseq
ptal On 2013/08/09 09:24:51, pfeldman wrote: > https://codereview.chromium.org/22602002/diff/2/Source/devtools/front_end/LayerTreeModel.js > File Source/devtools/front_end/LayerTreeModel.js (right): > > https://codereview.chromium.org/22602002/diff/2/Source/devtools/front_end/LayerTreeModel.js#newcode163 ...
4 years, 3 months ago (2013-08-13 12:57:42 UTC) #4
pfeldman
https://codereview.chromium.org/22602002/diff/9001/Source/devtools/front_end/inspector.html File Source/devtools/front_end/inspector.html (right): https://codereview.chromium.org/22602002/diff/9001/Source/devtools/front_end/inspector.html#newcode189 Source/devtools/front_end/inspector.html:189: <script type="text/javascript" src="LayerTreeModel.js"></script> Y U do it again? :)
4 years, 3 months ago (2013-08-13 13:06:30 UTC) #5
caseq
On 2013/08/13 13:06:30, pfeldman wrote: > https://codereview.chromium.org/22602002/diff/9001/Source/devtools/front_end/inspector.html > File Source/devtools/front_end/inspector.html (right): > > https://codereview.chromium.org/22602002/diff/9001/Source/devtools/front_end/inspector.html#newcode189 > ...
4 years, 3 months ago (2013-08-13 13:27:28 UTC) #6
pfeldman
lgtm
4 years, 3 months ago (2013-08-13 13:30:33 UTC) #7
caseq
4 years, 3 months ago (2013-08-13 15:28:13 UTC) #8
Message was sent while issue was closed.
Committed patchset #3 manually as r156021 (presubmit successful).

Powered by Google App Engine
This is Rietveld efc10ee0f